# TdApi.DeviceTokenApplePushVoIP (TDLight API 4.0.458 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: DeviceTokenApplePushVoIP

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.DeviceTokenApplePushVoIP

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.DeviceToken
it.tdlight.jni.TdApi.DeviceTokenApplePushVoIP

Enclosing class:
  TdApi

public static final class TdApi.DeviceTokenApplePushVoIP extends TdApi.DeviceToken
A token for Apple Push Notification service VoIP notifications.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`deviceToken`
Device token; may be empty to deregister a device.
`boolean`
`encrypt`
True, if push notifications must be additionally encrypted.
`boolean`
`isAppSandbox`
True, if App Sandbox is enabled.

## Constructor Summary

Constructors
Constructor
Description
`DeviceTokenApplePushVoIP()`
A token for Apple Push Notification service VoIP notifications.
`DeviceTokenApplePushVoIP(DataInput input)`
A token for Apple Push Notification service VoIP notifications.
`DeviceTokenApplePushVoIP(String deviceToken, boolean isAppSandbox, boolean encrypt)`
A token for Apple Push Notification service VoIP notifications.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### deviceToken

public String deviceToken
Device token; may be empty to deregister a device.

### isAppSandbox

public boolean isAppSandbox
True, if App Sandbox is enabled.

### encrypt

public boolean encrypt
True, if push notifications must be additionally encrypted.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### DeviceTokenApplePushVoIP

public DeviceTokenApplePushVoIP()
A token for Apple Push Notification service VoIP notifications.

### DeviceTokenApplePushVoIP

public DeviceTokenApplePushVoIP(String deviceToken, boolean isAppSandbox, boolean encrypt)
A token for Apple Push Notification service VoIP notifications.

Parameters:
  `deviceToken` - Device token; may be empty to deregister a device.
  `isAppSandbox` - True, if App Sandbox is enabled.
  `encrypt` - True, if push notifications must be additionally encrypted.

### DeviceTokenApplePushVoIP

public DeviceTokenApplePushVoIP(DataInput input) throws IOException
A token for Apple Push Notification service VoIP notifications.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`